#include "elevator.h"

/* Direction to power the door, negative opens, positive closes */
char DoorMotor;

/* True if an obstacle has been detected between the doors */
char ObstacleDetected;

/* -1 if the door is fully open, 1 if it is fully closed, 0 if in the middle */
char DoorLimit;

/* non-zero if the button has been pressed and is lit, set to 0 to turn light off */
char DoorOpenButton;
char DoorCloseButton;

unsigned char ELEVATOR_CAPACITY = 10;

void run1();

void RunElevator(Elevator *e)
{
	/* Put your code here.
	 * Imagine that the elevator has just arrived at the floor.
	 * The doors are closed and no buttons are pressed */

	run1();
}

/* sample elevator control, very basic and not that good */
void run1()
{
	static int state = 0;

	switch (state)
	{
		case 0:
			DoorMotor = -1;
			if (DoorLimit == -1)
			{
				state = 1;
			}
			break;
		case 1:
			DoorMotor = 1;
			if (DoorLimit == 1)
			{
				DoorMotor = 0;
			}
			if (ObstacleDetected)
			{
				if (DoorLimit != -1)
				{
					DoorMotor = -1;
				}
			}
			break;
	}

	DoorOpenButton = 0;
	DoorCloseButton = 0;
}
