#ifndef _WORLD_H
#define _WORLD_H

#include "elevator.h"

/* Run through one loop of the elevator using user inputs */
void StepElevator(Elevator *e);

/* Initializes the elevator.
 * The first state is doors closed and no buttons */
void InitElevator(Elevator *e);

/* Initializes the world.
 * Sets how many people want to board the elevator */
void InitWorld();

/* Returns the number of people waiting to get on */
unsigned char PeopleWaiting();

extern unsigned char boarded;

#endif
