#include <windows.h>

#include "win_support.h"

int get_file_name(char *buf, int len)
{
    OPENFILENAME ofn;

    memset(&ofn, 0, sizeof(OPENFILENAME));
    ofn.lStructSize = sizeof(OPENFILENAME);
    buf[0] = 0;
    ofn.lpstrFile = buf;
    ofn.nMaxFile = len;
    ofn.lpstrFilter = "World files (*.w)\0*.w\0All files (*.*)\0*.*\0";
    ofn.lpstrInitialDir = ".";
    if (!GetOpenFileName(&ofn))
        return 0;

    return 1;
}

unsigned int get_time()
{
    return GetTickCount();
}

void msleep(unsigned int ms)
{
    Sleep(ms);
}
